summaryrefslogtreecommitdiffstats
path: root/postgresql/bin/postgresql-backup
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2022-04-30 21:23:16 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2022-09-06 13:54:11 +0000
commit2841b9e03519aacfee6cc7347d2380bf27af053d (patch)
tree2bf1ca8543d6ba9343d146eba31f9bfdbb9067de /postgresql/bin/postgresql-backup
parentUpdating TODO file. (diff)
downloadservice-tools-2841b9e03519aacfee6cc7347d2380bf27af053d.tar.xz
service-tools-2841b9e03519aacfee6cc7347d2380bf27af053d.zip
postgresql
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to '')
-rwxr-xr-xpostgresql/bin/postgresql-backup47
1 files changed, 47 insertions, 0 deletions
diff --git a/postgresql/bin/postgresql-backup b/postgresql/bin/postgresql-backup
new file mode 100755
index 0000000..beaf2d8
--- /dev/null
+++ b/postgresql/bin/postgresql-backup
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+
+#!/bin/sh
+
+set -e
+
+DIRECTORY="/srv/$(cat /etc/hostname)/postgresql-backup/$(date +%Y-%m-%d)"
+DATABASES="fbm_test"
+
+mkdir -p "${DIRECTORY}"
+chown -R postgres:postgres "${DIRECTORY}"
+
+for DATABASE in ${DATABASES}
+do
+ su - postgres -c "pg_dump -f ${DIRECTORY} -F d -j $(nproc) -C -d ${DATABASE}"
+done
+
+chown -R root:root "${DIRECTORY}"
+
+
+
+
+# FIXME
+#postgres pg_dump ${DATABASE} | plzip > postgresql-backup/${DATABASE}-"$(date +\%Y\%m\%d)".sql.lz
+#find postgresql-backup/ -mtime +90 -name "${DATABASE}-*lz" | xargs -r rm